| Home | Libraries | People | FAQ | More

##### qend(rtree<...> const &)

Returns the query iterator pointing at the end of the query range.

###### Description

This method returns the iterator which may be used to check if the query has ended.

###### Synopsis

    template<typename Value,
             typename Parameters,
             typename IndexableGetter,
             typename EqualTo,
             typename Allocator>
    rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator >::const_query_iterator qend(rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > const & tree)

###### Returns

The iterator pointing at the end of the query range.

###### Example

    std::for_each(bgi::qbegin(tree, bgi::nearest(pt, 3)), bgi::qend(tree), do_something());

###### Iterator category

ForwardIterator

###### Throws

Nothing

| Warning
The modification of the rtree may invalidate the iterators.